<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="znc" target="multi-user">
      <override/>
      <file mode="700">/secrets/znc_passwords</file>
      <file engine="none" source="sysuser-znc.conf">/sysusers.d/1znc.conf</file>
      <file source="tmpfile-znc.conf">/tmpfiles.d/0znc.conf</file>
      <file owner="znc" mode="640">/etc/znc/znc.conf</file>
      <file>/etc/pki/tls/certs/znc.crt</file>
      <file owner="znc" mode="400">/etc/pki/tls/private/znc.key</file>
    </service>
  </services>
  <variables>
    <family name="network">
      <variable name="incoming_ports" redefine="True">
        <value>5535</value>
      </variable>
      <!--variable name="outgoing_ports" redefine="True">
               <value>6697</value>
        </variable>-->
    </family>
    <family name="znc" description="IRC Bouncer ZNC">
      <variable name="external_domain_name" type="domainname" description="Nom de domaine externe de ZNC" mandatory="True"/>
      <variable name="user_name" type="unix_user" description="Utilisateur IRC et ZNC" mandatory="True"/>
      <variable name="user_password" type="password" description="Mot de passe de l'utilisateur ZNC" mandatory="True"/>
      <variable name="real_name" description="Nom d'utilisateur réel" mandatory="True"/>
      <family name="servers" description="Serveurs IRC" leadership="True">
        <variable name="server_names" type="domainname" description="Adresse du serveur IRC" multi="True" mandatory="True"/>
        <variable name="password" type="password" description="Mot de passe de l'utilisateur sur le serveur IRC" mandatory="True"/>
        <variable name="port" type="port" description="Port TLS du serveur IRC" mandatory="True" hidden="True">
          <value>6697</value>
        </variable>
        <variable name="channels" description="Nom des salons du serveur IRC" multi="True" mandatory="True"/>
      </family>
    </family>
  </variables>
  <constraints>
    <fill name="calc_value">
      <param type="variable">port</param>
      <param name="remove_duplicate_value" type="boolean">True</param>
      <target>outgoing_ports</target>
    </fill>
  </constraints>
</rougail>
